Create a new project notification
curl --request POST \
--url https://platform.versori.com/api/v2/projects/{project_id}/notifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel_id": "<string>",
"environment_id": "<string>",
"name": "<string>"
}
'import requests
url = "https://platform.versori.com/api/v2/projects/{project_id}/notifications"
payload = {
"channel_id": "<string>",
"environment_id": "<string>",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({channel_id: '<string>', environment_id: '<string>', name: '<string>'})
};
fetch('https://platform.versori.com/api/v2/projects/{project_id}/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"project_id": "<string>",
"environment_id": "<string>",
"channel_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"channelName": "<string>",
"config": {
"email": {
"to": "<string>",
"cc": [
"<string>"
]
}
},
"type": "<string>"
}notifications
Create a new project notification
POST
/
projects
/
{project_id}
/
notifications
Create a new project notification
Authorizations
bearerTokencookie
Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
Path Parameters
Body
application/json
Response
201 - application/json
Project notification created successfully
⌘I